# Class BoxConfigMapContributor | ADAS
Provides configuration mapping contributions for box entities, implementing the interface to participate in entity map setup.

# Class BoxConfigMapContributor

Namespace
  adas_core.Infrastructure.Utils.MongoMaps

Assembly
  adas-core.Infrastructure.dll

Provides configuration mapping contributions for box entities, implementing the IEntityMapContributor interface to participate in entity map setup.

    public class BoxConfigMapContributor : IEntityMapContributor

Inheritance
  object
  BoxConfigMapContributor

Implements
  IEntityMapContributor

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Methods

### RegisterMaps()

Registers the object-to-object mappings used by the application.

    public void RegisterMaps()